package com.kcim.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.kcim.common.util.PageUtils;
import com.kcim.common.util.Result;
import com.kcim.dao.model.Product;
import com.kcim.dao.model.dto.ProductDTO;
import com.kcim.dao.model.dto.ProductEditDTO;
import com.kcim.vo.CommonVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 成本管理表
 *
 * @author huangrui
 * @email 
 * @date 2021-07-28 18:44:20
 */
public interface ProductService extends IService<Product> {

    /**
     * 分页查询
     *
     * @param current
     * @param pageSize
     * @param name
     * @return
     */
    PageUtils selectList(Integer current, Integer pageSize, String name);

    /**
     * 保存成本项目
     *
     * @param productDTO
     */
    void saveProduct(ProductDTO productDTO);

    /**
     * 编辑某个成本项目
     *
     * @param productEditDTO
     */
    void editProduct(ProductEditDTO productEditDTO);

    /**
     * 修改或新增会计科目对照列表
     *
     * @return
     */
    List<CommonVO> getProducts();

    /**
     * 批量导入收入成本信息
     * @param read
     * @param hospId
     * @return
     */
    Result importProduct(List<List<Object>> read, Long hospId);

    /**
     * 批量删除收入成本数据
     * @param asList 成本的Id集合
     */
    void deleteByIds(List<Integer> asList);

    Result importProduct(MultipartFile file);

}

